<?php
/*
 * FUNCIONES PARA INCLUIR HTML EN EL FOOTER DE LOS EMAILS WOOCOMMERCE 
 * 
*/

defined( 'ABSPATH' ) || exit; 


// Agregar contenido html en el footer de los emails woocommerce. 
// Se genera una url apuntando al formulario /support con el order_id

function agregar_contenido_footer_correos($email) {
    $order_id = $email->object->get_order_number();
    //$order_id = 56074;
    //echo '<hr>';
	echo '<div style="background-color:#F5F5F5;border-left:solid 2px gray;margin-left:10px;margin-right:10px;padding:10px;text-decoration:none;"';
    echo '<p>'.__('The company guarantees the functionality of the product you received.','pluginwao').'</p>';
    echo '<p>'.__('If you have problems with it, our customer service department will solve any problem until you are completely satisfied.','pluginwao').'</p>';
    echo '<p>'.__('Contact us through:','pluginwao').'</p>';
	//echo '<p>Número de orden: ' . $order_id . '</p>';
    //$te="https://t.me/59172243224";
    //echo '<a href="'.$te.'"><span style="background-color:#259FDC;border:solid 1px green;color:white;border-radius:10px;padding:5px 20px 5px 20px;"><i class="fa fa-telegram" aria-hidden="true">&nbsp;Telegram</i></span></a>';
	//echo '&nbsp;';
    //$wa="https://wa.me/59172243224";
	//echo '<a href="'.$wa.'"><span style="background-color:#29B75F;border:solid 1px green;color:white;border-radius:10px;padding:5px 20px 5px 20px;"><i class="fa fa-whatsapp" aria-hidden="true">&nbsp;Whatsapp</i></span></a>';
	//echo '&nbsp;';
    $su=get_option('home')."/support?order_id=".$order_id;
	echo '<a href="'.$su.'"><span style="background-color:#6527BE;border:solid 1px green;color:white;border-radius:10px;padding:5px 20px 5px 20px;"><i class="fa fa-comment-o" aria-hidden="true">&nbsp;Support</i></span></a>';
}
add_action('woocommerce_email_footer', 'agregar_contenido_footer_correos', 10, 1);

// Shortcode para procesar el order_id recibido
// Dado el order_id, obtiene el nombre, email y los productos de la orden, los asigna a la variable global $_GET[] para luego 
// mostrarlos en el formulario de contact form 7
function orden(){
	if(isset($_GET['order_id'])){
		//add_action('wp_head', 'email_order_style');
		global $woocommerce;
		$order = wc_get_order($_GET['order_id']);
		$_GET['nombre'] = $order->get_billing_first_name() . ' ' . $order->get_billing_last_name();
		$_GET['email'] = $order->get_billing_email();

		//$billing_country_code = $order->get_billing_country();
		//$countries = WC()->countries->countries;
		//$billing_country_name = isset($countries[$billing_country_code]) ? $countries[$billing_country_code] : '';
		//echo "País de facturación: " . $billing_country_name;
		//$_GET['pais'] = $billing_country_name;

		// Obtener los productos de la orden
		$p="";
		$products = array();
		$h=1;
		foreach ($order->get_items() as $item_id => $item) {
			$product = $item->get_product();
			$product_name = $product->get_name();
			$product_quantity = $item->get_quantity();
			$p.= '- '.$product_name."  (".$product_quantity.")".PHP_EOL.' ';
			$products[] = array(
				'name' => $product_name,
				'quantity' => $product_quantity
			);
			$h++;
		}
		email_order_style($h);
		$p.="";
		$_GET['productos'] = $p;
		//$_GET['telefono'] = $order->get_billing_phone();
	}
}
// Estilo para el input text ordenes
function email_order_style($h){
		$h=$h*28;
		echo '<style type="text/css">.productos {
		  background-color:#F8F6F4;
		  margin-left:20px;
		  display: block;
		  width: 100%;
		  height: '.$h.'px;
		  padding: 10px;
		  resize: vertical;
		  border-left:solid 3px gray!important;
		  font-size:12px;
		}</style>';
}
add_shortcode('orden','orden');


// Contenido del form support
/*
<label> Your name
    [text* nombre default:get param "nombre"] </label>

<label> Your email
    [email* email default:get param "email"] </label>

<label> Telephone number * (for contact you)
    [phonetext* telefono numberonly]
 </label>

<label> Your order number
    [text order_id readonly default:get param "order_id"]</label>

<label> Your products
    [textarea productos readonly class:productos default:get param "productos"]</label>

<label> Subject
    [text* your-subject default:"I have a problem that requires your attention."] </label>

<label> Your message (optional)
    [textarea your-message placeholder "Write here your text ..."] </label>

[submit "Submit"]
*/

// Tambien es necesario instalar el complemento Country & Phone Field Contact Form 7 para la bandera al lado del campo telefono
// Crear una page con dos shortcodes: [orden] y a continuacion el shortcode del formulario